﻿using System;
using System.Threading;

namespace TaskCancellationExample.Models
{
  public class FileItem
  {
    private static readonly Random _random = new Random();

    public FileItem(string fileName)
    {
      FileName = fileName;
    }


    public string FileName { get; }

    public void Load()
    {
      // Simulate long loading time by putting the thread to sleep between 1 and 3 seconds.
      int timeout = 1000 + Convert.ToInt32(2000 * _random.NextDouble());
      Thread.Sleep(timeout);
    }
  }
}
